# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/readelf gcc-c++ libpci-devel
# END SourceDeps(oneline)
Name:		biosdevname
Version:	0.4.1
Release:	alt1_4
Summary:	Udev helper for naming devices per BIOS names

Group:		System/Base
License:	GPLv2
URL:		http://linux.dell.com/files/%{name}
# SMBIOS only exists on these arches.  It's also likely that other
# arches don't expect the PCI bus to be sorted breadth-first, or of
# so, there haven't been any comments about that on LKML.
ExclusiveArch:	%{ix86} x86_64 ia64
Source0:	http://linux.dell.com/files/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz

BuildRequires:	pciutils-devel zlib-devel
# to figure out how to name the rules file
BuildRequires:	udev
#To generate the configure script
BuildRequires:	autoconf
BuildRequires:	automake
# for ownership of /etc/udev/rules.d
Requires: udev
Source44: import.info

%description
biosdevname in its simplest form takes a kernel device name as an
argument, and returns the BIOS-given name it "should" be.  This is necessary
on systems where the BIOS name for a given device (e.g. the label on
the chassis is "Gb1") doesn't map directly and obviously to the kernel
name (e.g. eth0).

%prep
%setup -q

%build
#If configure script doesn't exist generate it with autogen script
[ -e ./configure ] || ./autogen.sh --no-configure

# this is a udev rule, so it needs to live in / rather than /usr
%configure --disable-rpath --prefix=/ --sbindir=/sbin
make %{?_smp_mflags}


%install
make install install-data DESTDIR=%{buildroot}

%files
%doc COPYING README
/sbin/%{name}
# hack for either /etc or /lib rules location
/*/udev/rules.d/*.rules
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_4
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_2
- update to new release by fcimport

* Fri May 18 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.11-alt1_6
- converted for Sisyphus

